Bug 188803 - CVE-2006-1729 File stealing by changing input type
CVE-2006-1729 File stealing by changing input type
Status: CLOSED ERRATA
Product: Red Hat Enterprise Linux 4
Classification: Red Hat
Component: mozilla (Show other bugs)
4.0
All Linux
medium Severity medium
: ---
: ---
Assigned To: Christopher Aillon
Ben Levenson
reported=20060412,source=mozilla,emba...
: Security
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-04-12 22:28 EDT by Josh Bressers
Modified: 2007-11-30 17:07 EST (History)
1 user (show)

See Also:
Fixed In Version: RHSA-2006-0329
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-04-25 10:04:46 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Josh Bressers 2006-04-12 22:28:35 EDT
File stealing by changing input type


Claus Jørgensen reports that a text input box can be pre-filled with a
filename  and then turned into a file-upload control with the contents
intact, allowing a malicious website the ability to steal any local file
whose name they can guess.

Jesse Ruderman reports a variation, changing the type of the input control
in an event handler to work around some of the initial checks.

Workaround

Upgrade to fixed version.

References

[1]https://bugzilla.mozilla.org/show_bug.cgi?id=325947
[2]https://bugzilla.mozilla.org/show_bug.cgi?id=328566


This issue also affects RHEL3
This issue also affects RHEL2.1
Comment 2 Josh Bressers 2006-04-17 13:39:35 EDT
Lifting embargo
Comment 4 Red Hat Bugzilla 2006-04-25 10:04:46 EDT
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on the solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHSA-2006-0329.html

Note You need to log in before you can comment on or make changes to this bug.